%define ttfdir %_x11libdir/X11/fonts/georgian-ttf

Name: georgian-fonts-ttf
Version: 1.0
Release: alt1

Summary: Free Georgian TrueType fonts
Summary (ru_RU.UTF-8): Грузинские TrueType шрифты 
License: Distributable
Group: System/Fonts/True type
Url: http://www.main.osgf.ge/eng/dounen.htm
Source: Georgian_Fonts.zip
BuildArch: noarch
PreReq: chkfontpath freetype fontconfig perl-base

%description
This Package provides free Georgian TrueType fonts.

%description -l ru_RU.UTF-8
В пакете находятся грузинские TrueType шрифты. 

%prep
%setup -q -n ka_fonts

%install
mkdir -p $RPM_BUILD_ROOT%ttfdir
install -p -m644 *.ttf $RPM_BUILD_ROOT%ttfdir

cd $RPM_BUILD_ROOT%ttfdir
%_sbindir/ttmkfdir -o ./fonts.dir >& /dev/null
ln -s %_sysconfdir/X11/encodings.dir encodings.dir
 touch fonts.cache-1
cd -

%post
%_bindir/fc-cache %ttfdir
/usr/sbin/chkfontpath -q --add %ttfdir
if [ -x /usr/bin/gnome-font-install ]; then
  perl %_datadir/fonts/run-gnome-font-install \
	%_bindir/gnome-font-install %_datadir %_datadir > /dev/null 2>&1
fi
if [ -x /usr/bin/libgnomeprint-2.0-font-install ]; then
   %_bindir/libgnomeprint-2.0-font-install --smart > /dev/null 2>&1
fi

%postun
if [ "$1" = 0 ]; then
	/usr/sbin/chkfontpath -q --remove %ttfdir
fi

%files
%ttfdir

%changelog
* Fri Nov 29 2002 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt1
- ALTLinux build
